%bcond_without bootstrap
%if %{with bootstrap}
%bcond_with tests
%else
%bcond_without tests
%endif

%global _description %{expand:
The Jupyter Server provides the backend (i.e. the core services,
APIs, and REST endpoints) for Jupyter web applications like
Jupyter notebook, JupyterLab, and Voila.}

Summary:        The backend for Jupyter web applications
Name:           python-jupyter-server
Version:        2.10.0
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://jupyter-server.readthedocs.io
Source0:        %{pypi_source jupyter_server}

BuildRequires:  python3-devel
BuildArch:      noarch

%description %_description

%package -n     python3-jupyter-server
Summary:        The backend for Jupyter web applications

%description -n python3-jupyter-server %_description

%if %{with tests}
%package -n python3-jupyter-server+test
Summary: Metapackage for python3-jupyter-server: test extras
Requires: python3-jupyter-server = %{version}-%{release}

%description -n python3-jupyter-server+test
This is a metapackage bringing in test extras requires for
python3-jupyter-server.
It makes sure the dependencies are installed.
%endif

%prep
%autosetup -n jupyter_server-%{version}
sed -i '/"pre-commit"/d' pyproject.toml
sed -i '/"overrides.*"/d' pyproject.toml
sed -i '/from overrides import overrides/d' jupyter_server/services/kernels/kernelmanager.py
sed -i '/@overrides/d' jupyter_server/services/kernels/kernelmanager.py

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x test}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jupyter_server

%check
%if %{with tests}
%pytest -W "always:unclosed <socket.socket:ResourceWarning"
%endif

%files -n python3-jupyter-server -f %{pyproject_files}
%doc README.md
%{_bindir}/jupyter-server

%if %{with tests}
%files -n python3-jupyter-server+test
%ghost %{python3_sitelib}/jupyter_server-%{version}.dist-info
%endif

%changelog
* Fri Jun 14 2024 Shuo Wang <abushwang@tencent.com> - 2.10.0-1
- initial build
